We are currently experiencing an issue causing a delay in delivery of Summoner Advancement, the Alliance Quest event, and other 3-Day X-Men use event. We are working to resolve this, but it will likely take a few days. We will ensure that these rewards are delivered to affected Alliances. Please do not change Alliances until your rewards are delivered.

is my device officially too old for mcoc?

mydnightmydnight Posts: 543 ★★
My main device I've used to play for years still uses Android 4.4.4 (KitKat). I can no longer update the game.

As I live in China, I usually have to resort to downloading the apk file as Google play store is way too slow. With the latest update, it shows that the version requires Android 6.0 at least.

Is there a work around for this or is there something wrong with my device?

Comments

  • winterthurwinterthur Posts: 4,037 ★★★★
    The work around is simple. Get a new device. Same for me.
  • mydnightmydnight Posts: 543 ★★

    The work around is simple. Get a new device. Same for me.

    Only mobile game I play, and probably will ever play, is MCOC. I guess it's time to hang it up.

    5 years.....wow.
Sign In or Register to comment.